<?xml version="1.0" encoding="utf-8"?>
<android.support.v4.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/drawer_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    tools:context=".MainActivity">

    // دراور لایوت باید بالای همه لایه ها قرار بگیرد
    // بعد از اون لایه اصلی ایجاد میشود

    <android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        // فریم لایوت برای مدریت فرگمنت ها ایجاد می شود

        <FrameLayout
            android:id="@+id/frame_container"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        //برای سرچ ویو از لایبری اماده استقاد کردیم

        <android.support.v7.widget.ActionMenuView
            android:id="@+id/main_action_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            //سرچ ویو

            <com.arlib.floatingsearchview.FloatingSearchView
                android:id="@+id/floating_search_view"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:floatingSearch_close_search_on_keyboard_dismiss="true"
                app:floatingSearch_dimBackground="false"
                app:floatingSearch_hintTextColor="@color/md_blue_grey_200"
                app:floatingSearch_leftActionColor="?attr/colorPrimary"
                app:floatingSearch_leftActionMode="showHamburger"
                app:floatingSearch_menu="@menu/search_menu"
                app:floatingSearch_menuItemIconColor="?attr/colorPrimary"
                app:floatingSearch_searchBarMarginLeft="@dimen/mini_padding_margin"
                app:floatingSearch_searchBarMarginRight="@dimen/mini_padding_margin"
                app:floatingSearch_searchBarMarginTop="@dimen/mini_padding_margin"
                app:floatingSearch_searchHint="@string/text_searchHint"
                app:floatingSearch_showSearchKey="false"
                app:floatingSearch_suggestionsListAnimDuration="250" />
        </android.support.v7.widget.ActionMenuView>


        // نوار بوتوم ویوها

        <android.support.design.widget.BottomNavigationView
            android:id="@+id/navigation"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:background="?android:attr/windowBackground"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:menu="@menu/navigation" />
    </android.support.constraint.ConstraintLayout>

    //دراور لایوت حتمن باید انتهای کد ها قرار بکیرد

    <android.support.design.widget.NavigationView
        android:id="@+id/nav_view"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_gravity="start"
        android:fitsSystemWindows="true"
        app:headerLayout="@layout/nav_header_main"
        app:menu="@menu/activity_main_drawer" />
</android.support.v4.widget.DrawerLayout>
